import { AuditTopSection } from './top-section';
import { AuditBottomSection } from './bottom-section';
import { Requirement } from './requirement';

export interface Audit {
  header: AuditHeader;
  topSection: AuditTopSection;
  requirements: Requirement[];
  completeText: string;
  requirementEndnote: string;
  bottomSection: AuditBottomSection;
  errorText: any[];
}

export interface AuditHeader {
  preparedLabel: string;
  preparedDate: string;
  studentCampusId: string;
  studentName: string;
  darsCatalogYearTermLabel: string;
  darsCatalogYearTerm: string;
  darsDegreeProgramCodeLabel: string;
  darsDegreeProgramCode: string;
  darsAlternateCatalogYearTerm1Label: string;
  darsAlternateCatalogYearTerm1: string;
  clientDefinedMessage: string;
  degreeProgramTitle1: string;
  degreeProgramTitle2: string;
}
